Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » scout » How to install Eclipse Oxygen Scout behind a proxy(Scout Oxygen)
How to install Eclipse Oxygen Scout behind a proxy [message #1776692] Mon, 20 November 2017 14:19 Go to next message
marco giudici is currently offline marco giudiciFriend
Messages: 189
Registered: February 2013
Location: Italy
Senior Member
Hi all,
I have on my laptop the following version of Java

java version "1.8.0_151"
Java(TM) SE Runtime Environment (build 1.8.0_151-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.151-b12, mixed mode)


and the following version of maven

Apache Maven 3.5.2 (138edd61fd100ec658bfa2d307c43b76940a5d7d; 2017-10-1
3+02:00)
Maven home: C:\Program Files\apache-maven-3.5.2\bin\..
Java version: 1.8.0_121, vendor: Oracle Corporation
Java home: C:\Program Files\Java\jdk1.8.0_121\jre
Default locale: it_IT, platform encoding: Cp1252
OS name: "windows 7", version: "6.1", arch: "amd64", family: "windows"


I want install Eclipse Oxygen with Scout behind proxy; what is the correct procedure to follow?
I already tried with installer but give me a problem when I want create a new project or I try to check the update and so on

Thanks in advance for your help and explanation

Marco
Re: How to install Eclipse Oxygen Scout behind a proxy [message #1776841 is a reply to message #1776692] Wed, 22 November 2017 08:30 Go to previous messageGo to next message
Matthias Villiger is currently offline Matthias VilligerFriend
Messages: 134
Registered: September 2011
Senior Member
Hi Marco

In which problem do you run when trying using the installer?

Cann you access the download page?

Kind regards
Mat
Re: How to install Eclipse Oxygen Scout behind a proxy [message #1776843 is a reply to message #1776841] Wed, 22 November 2017 08:44 Go to previous messageGo to next message
marco giudici is currently offline marco giudiciFriend
Messages: 189
Registered: February 2013
Location: Italy
Senior Member
Hi Matthias,
with the browser I can reach this wed-site, but when run the installer return this error:

[2017-11-22 09:37:25] Executing bootstrap tasks
[2017-11-22 09:37:25] Java(TM) SE Runtime Environment 1.8.0_151-b12
[2017-11-22 09:37:25] Product org.eclipse.products.epp.package.scout.oxygen
[2017-11-22 09:37:25] Bundle org.eclipse.oomph.setup 1.8.0.v20170408-0745, build=3059, branch=2161405b80cf99ed791602ba56cdf44084f5ca43
[2017-11-22 09:37:25] Bundle org.eclipse.oomph.setup.core 1.8.0.v20170531-0903, build=3059, branch=2161405b80cf99ed791602ba56cdf44084f5ca43
[2017-11-22 09:37:25] Bundle org.eclipse.oomph.setup.p2 1.8.0.v20170318-0419, build=3059, branch=2161405b80cf99ed791602ba56cdf44084f5ca43
[2017-11-22 09:37:25] Performing P2 Director (Eclipse for Scout Developers (Oxygen))
[2017-11-22 09:37:25] Offline = false
[2017-11-22 09:37:25] Mirrors = true
[2017-11-22 09:37:25] Resolving 21 requirements from 3 repositories to C:\eclipse-oxygen\eclipse
[2017-11-22 09:37:25] Requirement epp.package.scout [4.7.0,4.8.0)
[2017-11-22 09:37:25] Requirement org.eclipse.platform.feature.group [4.7.0,4.8.0)
[2017-11-22 09:37:25] Requirement org.eclipse.rcp.feature.group [4.7.0,4.8.0)
[2017-11-22 09:37:25] Requirement org.eclipse.egit.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.egit.mylyn.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.help.source.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.jdt.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.jdt.source.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.jgit.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.jst.web_ui.feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.m2e.feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.mylyn.context_feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.mylyn.git.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.mylyn.java_feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.mylyn_feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.scout.sdk-feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2017-11-22 09:37:25] Requirement org.eclipse.oomph.setup.feature.group
[2017-11-22 09:37:25] Repository http://download.eclipse.org/technology/epp/packages/oxygen
[2017-11-22 09:37:25] Repository http://download.eclipse.org/releases/oxygen
[2017-11-22 09:37:25] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2017-11-22 09:37:26] ERROR: org.eclipse.equinox.p2.transport.ecf code=1002 HTTP Proxy Authentication Required: http://download.eclipse.org/oomph/updates/milestone/latest/compositeContent.xml
ERROR: org.eclipse.ecf.identity code=0 Proxy Authentication Required
  at org.eclipse.ecf.provider.filetransfer.httpclient4.HttpClientFileSystemBrowser.runRequest(HttpClientFileSystemBrowser.java:291)
  at org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser$DirectoryJob.run(AbstractFileSystemBrowser.java:69)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)

[2017-11-22 09:37:26] 


When the installer start ask me the user and password, and I insert my network credentials that are authorized to surf the web.

Marco
Re: How to install Eclipse Oxygen Scout behind a proxy [message #1776958 is a reply to message #1776843] Thu, 23 November 2017 09:13 Go to previous messageGo to next message
Matthias Villiger is currently offline Matthias VilligerFriend
Messages: 134
Registered: September 2011
Senior Member
Hi Marco

I have no experience with the Oompf installer. Maybe you can ask in their forum?

As an alternative you can download the predefined Scout package from the link above? Does this work?

Kind regards
Mat
Re: How to install Eclipse Oxygen Scout behind a proxy [message #1776960 is a reply to message #1776958] Thu, 23 November 2017 09:19 Go to previous messageGo to next message
marco giudici is currently offline marco giudiciFriend
Messages: 189
Registered: February 2013
Location: Italy
Senior Member
Hi Matthias,
thanks for the suggestions and I post the request .

I already try to download the package and install directly, but when I start to create a new project the same problem appears again.
This means that in the configuration there is something wrong or missing to work correctly with the proxy connection.

Marco
Re: How to install Eclipse Oxygen Scout behind a proxy [message #1776970 is a reply to message #1776960] Thu, 23 November 2017 10:35 Go to previous messageGo to next message
Matthias Villiger is currently offline Matthias VilligerFriend
Messages: 134
Registered: September 2011
Senior Member
You can try to add the corresponding Java System properties to your eclipse.ini file (e.g. after -vmargs):

-Dhttp.proxyHost=
-Dhttp.proxyPort=
-Dhttp.proxyUser=
-Dhttp.proxyPassword=
-Dhttps.proxyHost=
-Dhttps.proxyPort=
-Dhttps.proxyUser=
-Dhttps.proxyPassword=

Unfortunately with this solution you have to store your password in cleartext. Which I would not recommend.

Another solution could be to setup the proxy configuration in the Eclipse Preferences: Window -> Preferences -> General -> Network Connections.

Does this help?
Re: How to install Eclipse Oxygen Scout behind a proxy [message #1783943 is a reply to message #1776970] Tue, 20 March 2018 15:31 Go to previous messageGo to next message
marco giudici is currently offline marco giudiciFriend
Messages: 189
Registered: February 2013
Location: Italy
Senior Member
Hi Matthias,
I followed your suggestions but when I created a new Scout project return to me the following errors
index.php/fa/32381/0/

And in console I found this

[SEVERE]: Unable to create Scout Project.
org.eclipse.core.runtime.CoreException: Unable to create Scout Project.
	at org.eclipse.scout.sdk.s2e.operation.project.ScoutProjectNewOperation.run(ScoutProjectNewOperation.java:100)
	at org.eclipse.scout.sdk.s2e.job.ResourceBlockingOperationJob.run(ResourceBlockingOperationJob.java:112)
	at org.eclipse.scout.sdk.s2e.job.AbstractResourceBlockingJob.execute(AbstractResourceBlockingJob.java:64)
	at org.eclipse.scout.sdk.s2e.job.AbstractJob.runInternal(AbstractJob.java:107)
	at org.eclipse.scout.sdk.s2e.job.AbstractJob.run(AbstractJob.java:71)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)
Caused by: org.eclipse.core.runtime.CoreException: Could not get the value for parameter encoding for plugin execution default-resources
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.getMojoParameterValue(MavenImpl.java:950)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl$6.call(MavenImpl.java:959)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.executeBare(MavenExecutionContext.java:177)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:112)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.getMojoParameterValue(MavenImpl.java:957)
	at org.eclipse.m2e.jdt.internal.AbstractJavaProjectConfigurator.addProjectSourceFolders(AbstractJavaProjectConfigurator.java:299)
	at org.eclipse.m2e.jdt.internal.AbstractJavaProjectConfigurator.configure(AbstractJavaProjectConfigurator.java:126)
	at org.eclipse.m2e.core.project.configurator.AbstractLifecycleMapping.configure(AbstractLifecycleMapping.java:120)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$3.call(ProjectConfigurationManager.java:508)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$3.call(ProjectConfigurationManager.java:1)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.executeBare(MavenExecutionContext.java:177)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:151)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.updateProjectConfiguration(ProjectConfigurationManager.java:501)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.configureNewMavenProjects(ProjectConfigurationManager.java:288)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$1.call(ProjectConfigurationManager.java:175)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$1.call(ProjectConfigurationManager.java:1)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.executeBare(MavenExecutionContext.java:177)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:151)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:99)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.execute(MavenImpl.java:1355)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.importProjects(ProjectConfigurationManager.java:143)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.importProjects(ProjectConfigurationManager.java:133)
	at org.eclipse.scout.sdk.s2e.operation.project.ScoutProjectNewOperation.importIntoWorkspace(ScoutProjectNewOperation.java:148)
	at org.eclipse.scout.sdk.s2e.operation.project.ScoutProjectNewOperation.run(ScoutProjectNewOperation.java:94)
	... 5 more
Caused by: org.apache.maven.plugin.PluginResolutionException: Plugin org.apache.maven.plugins:maven-resources-plugin:2.7 or one of its dependencies could not be resolved: Failed to collect dependencies at org.apache.maven.plugins:maven-resources-plugin:jar:2.7 -> org.apache.maven:maven-project:jar:2.2.1 -> org.apache.maven:maven-settings:jar:2.2.1 -> org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1 -> junit:junit:jar:3.8.1
	at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolveInternal(DefaultPluginDependenciesResolver.java:214)
	at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolve(DefaultPluginDependenciesResolver.java:149)
	at org.eclipse.m2e.core.internal.project.registry.EclipsePluginDependenciesResolver.resolve(EclipsePluginDependenciesResolver.java:59)
	at org.apache.maven.plugin.internal.DefaultMavenPluginManager.createPluginRealm(DefaultMavenPluginManager.java:400)
	at org.apache.maven.plugin.internal.DefaultMavenPluginManager.setupPluginRealm(DefaultMavenPluginManager.java:372)
	at org.apache.maven.plugin.DefaultBuildPluginManager.getPluginRealm(DefaultBuildPluginManager.java:231)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.getMojoParameterValue(MavenImpl.java:925)
	... 28 more
Caused by: org.eclipse.aether.collection.DependencyCollectionException: Failed to collect dependencies at org.apache.maven.plugins:maven-resources-plugin:jar:2.7 -> org.apache.maven:maven-project:jar:2.2.1 -> org.apache.maven:maven-settings:jar:2.2.1 -> org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1 -> junit:junit:jar:3.8.1
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.collectDependencies(DefaultDependencyCollector.java:291)
	at org.eclipse.aether.internal.impl.DefaultRepositorySystem.collectDependencies(DefaultRepositorySystem.java:316)
	at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolveInternal(DefaultPluginDependenciesResolver.java:202)
	... 34 more
Caused by: org.eclipse.aether.resolution.ArtifactDescriptorException: Failed to read artifact descriptor for junit:junit:jar:3.8.1
	at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.loadPom(DefaultArtifactDescriptorReader.java:282)
	at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.readArtifactDescriptor(DefaultArtifactDescriptorReader.java:198)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.resolveCachedArtifactDescriptor(DefaultDependencyCollector.java:535)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.getArtifactDescriptorResult(DefaultDependencyCollector.java:519)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:409)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.doRecurse(DefaultDependencyCollector.java:504)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:458)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.doRecurse(DefaultDependencyCollector.java:504)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:458)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.doRecurse(DefaultDependencyCollector.java:504)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:458)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.collectDependencies(DefaultDependencyCollector.java:254)
	... 36 more
Caused by: org.eclipse.aether.resolution.ArtifactResolutionException: Failure to transfer junit:junit:pom:3.8.1 from https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced. Original error: Could not transfer artifact junit:junit:pom:3.8.1 from/to central (https://repo.maven.apache.org/maven2): connect timed out
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:444)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:246)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifact(DefaultArtifactResolver.java:223)
	at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.loadPom(DefaultArtifactDescriptorReader.java:267)
	... 55 more
Caused by: org.eclipse.aether.transfer.ArtifactTransferException: Failure to transfer junit:junit:pom:3.8.1 from https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced. Original error: Could not transfer artifact junit:junit:pom:3.8.1 from/to central (https://repo.maven.apache.org/maven2): connect timed out
	at org.eclipse.aether.internal.impl.DefaultUpdateCheckManager.newException(DefaultUpdateCheckManager.java:238)
	at org.eclipse.aether.internal.impl.DefaultUpdateCheckManager.checkArtifact(DefaultUpdateCheckManager.java:206)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.gatherDownloads(DefaultArtifactResolver.java:585)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.performDownloads(DefaultArtifactResolver.java:503)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:421)
	... 58 more
[SEVERE]: Unable to create Scout Project.
org.eclipse.core.runtime.CoreException: Unable to create Scout Project.
	at org.eclipse.scout.sdk.s2e.operation.project.ScoutProjectNewOperation.run(ScoutProjectNewOperation.java:100)
	at org.eclipse.scout.sdk.s2e.job.ResourceBlockingOperationJob.run(ResourceBlockingOperationJob.java:112)
	at org.eclipse.scout.sdk.s2e.job.AbstractResourceBlockingJob.execute(AbstractResourceBlockingJob.java:64)
	at org.eclipse.scout.sdk.s2e.job.AbstractJob.runInternal(AbstractJob.java:107)
	at org.eclipse.scout.sdk.s2e.job.AbstractJob.run(AbstractJob.java:71)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)
Caused by: org.eclipse.core.runtime.CoreException: Could not get the value for parameter encoding for plugin execution default-resources
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.getMojoParameterValue(MavenImpl.java:950)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl$6.call(MavenImpl.java:959)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.executeBare(MavenExecutionContext.java:177)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:112)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.getMojoParameterValue(MavenImpl.java:957)
	at org.eclipse.m2e.jdt.internal.AbstractJavaProjectConfigurator.addProjectSourceFolders(AbstractJavaProjectConfigurator.java:299)
	at org.eclipse.m2e.jdt.internal.AbstractJavaProjectConfigurator.configure(AbstractJavaProjectConfigurator.java:126)
	at org.eclipse.m2e.core.project.configurator.AbstractLifecycleMapping.configure(AbstractLifecycleMapping.java:120)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$3.call(ProjectConfigurationManager.java:508)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$3.call(ProjectConfigurationManager.java:1)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.executeBare(MavenExecutionContext.java:177)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:151)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.updateProjectConfiguration(ProjectConfigurationManager.java:501)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.configureNewMavenProjects(ProjectConfigurationManager.java:288)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$1.call(ProjectConfigurationManager.java:175)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager$1.call(ProjectConfigurationManager.java:1)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.executeBare(MavenExecutionContext.java:177)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:151)
	at org.eclipse.m2e.core.internal.embedder.MavenExecutionContext.execute(MavenExecutionContext.java:99)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.execute(MavenImpl.java:1355)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.importProjects(ProjectConfigurationManager.java:143)
	at org.eclipse.m2e.core.internal.project.ProjectConfigurationManager.importProjects(ProjectConfigurationManager.java:133)
	at org.eclipse.scout.sdk.s2e.operation.project.ScoutProjectNewOperation.importIntoWorkspace(ScoutProjectNewOperation.java:148)
	at org.eclipse.scout.sdk.s2e.operation.project.ScoutProjectNewOperation.run(ScoutProjectNewOperation.java:94)
	... 5 more
Caused by: org.apache.maven.plugin.PluginResolutionException: Plugin org.apache.maven.plugins:maven-resources-plugin:2.7 or one of its dependencies could not be resolved: Failed to collect dependencies at org.apache.maven.plugins:maven-resources-plugin:jar:2.7 -> org.apache.maven:maven-project:jar:2.2.1 -> org.apache.maven:maven-settings:jar:2.2.1 -> org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1 -> junit:junit:jar:3.8.1
	at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolveInternal(DefaultPluginDependenciesResolver.java:214)
	at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolve(DefaultPluginDependenciesResolver.java:149)
	at org.eclipse.m2e.core.internal.project.registry.EclipsePluginDependenciesResolver.resolve(EclipsePluginDependenciesResolver.java:59)
	at org.apache.maven.plugin.internal.DefaultMavenPluginManager.createPluginRealm(DefaultMavenPluginManager.java:400)
	at org.apache.maven.plugin.internal.DefaultMavenPluginManager.setupPluginRealm(DefaultMavenPluginManager.java:372)
	at org.apache.maven.plugin.DefaultBuildPluginManager.getPluginRealm(DefaultBuildPluginManager.java:231)
	at org.eclipse.m2e.core.internal.embedder.MavenImpl.getMojoParameterValue(MavenImpl.java:925)
	... 28 more
Caused by: org.eclipse.aether.collection.DependencyCollectionException: Failed to collect dependencies at org.apache.maven.plugins:maven-resources-plugin:jar:2.7 -> org.apache.maven:maven-project:jar:2.2.1 -> org.apache.maven:maven-settings:jar:2.2.1 -> org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1 -> junit:junit:jar:3.8.1
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.collectDependencies(DefaultDependencyCollector.java:291)
	at org.eclipse.aether.internal.impl.DefaultRepositorySystem.collectDependencies(DefaultRepositorySystem.java:316)
	at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolveInternal(DefaultPluginDependenciesResolver.java:202)
	... 34 more
Caused by: org.eclipse.aether.resolution.ArtifactDescriptorException: Failed to read artifact descriptor for junit:junit:jar:3.8.1
	at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.loadPom(DefaultArtifactDescriptorReader.java:282)
	at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.readArtifactDescriptor(DefaultArtifactDescriptorReader.java:198)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.resolveCachedArtifactDescriptor(DefaultDependencyCollector.java:535)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.getArtifactDescriptorResult(DefaultDependencyCollector.java:519)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:409)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.doRecurse(DefaultDependencyCollector.java:504)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:458)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.doRecurse(DefaultDependencyCollector.java:504)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:458)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.doRecurse(DefaultDependencyCollector.java:504)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:458)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
	at org.eclipse.aether.internal.impl.DefaultDependencyCollector.collectDependencies(DefaultDependencyCollector.java:254)
	... 36 more
Caused by: org.eclipse.aether.resolution.ArtifactResolutionException: Failure to transfer junit:junit:pom:3.8.1 from https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced. Original error: Could not transfer artifact junit:junit:pom:3.8.1 from/to central (https://repo.maven.apache.org/maven2): connect timed out
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:444)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:246)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifact(DefaultArtifactResolver.java:223)
	at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.loadPom(DefaultArtifactDescriptorReader.java:267)
	... 55 more
Caused by: org.eclipse.aether.transfer.ArtifactTransferException: Failure to transfer junit:junit:pom:3.8.1 from https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced. Original error: Could not transfer artifact junit:junit:pom:3.8.1 from/to central (https://repo.maven.apache.org/maven2): connect timed out
	at org.eclipse.aether.internal.impl.DefaultUpdateCheckManager.newException(DefaultUpdateCheckManager.java:238)
	at org.eclipse.aether.internal.impl.DefaultUpdateCheckManager.checkArtifact(DefaultUpdateCheckManager.java:206)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.gatherDownloads(DefaultArtifactResolver.java:585)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.performDownloads(DefaultArtifactResolver.java:503)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:421)
	... 58 more



How can I solve them?

Thanks in advance for any helps and suggestions

Marco
  • Attachment: Error.jpg
    (Size: 47.75KB, Downloaded 264 times)

[Updated on: Tue, 20 March 2018 15:46]

Report message to a moderator

Re: How to install Eclipse Oxygen Scout behind a proxy [message #1784135 is a reply to message #1783943] Thu, 22 March 2018 18:32 Go to previous message
Matthias Villiger is currently offline Matthias VilligerFriend
Messages: 134
Registered: September 2011
Senior Member
Hi Marco

You can also try to set the proxy settings in your Maven settings.xml.
See here for more details.

Does this help?
Previous Topic:How to handle a TableField efficiently?
Next Topic:properties are not found while starting client in dev mode
Goto Forum:
  


Current Time: Thu Sep 20 12:57:02 GMT 2018

Powered by FUDForum. Page generated in 0.02661 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top